<?php
define('PROTECTOR', 1);
include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
if($_GET['mod']=='new'){
$textl='Покупка питомца';
}
elseif($_GET['mod']=='train'){
$textl='Тренировка питомца';
}
elseif($_GET['mod']=='back'){
$textl='Отпускаем питомца';
}else{
$textl='Питомец';
}
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');
switch($_GET['mod']){
default:
/* НЕТ ПИТОМЦА */
$reav = mysql_num_rows(mysql_query("SELECT * FROM `pit` WHERE `hozyain` = '$log'"));
if($reav==0){
echo'<div class="main"><div class="block_zero center">У вас нет питомца!</span><div class="separ"></div><a href="pitomec.php?mod=new"><span class="btn"><span class="end"><input class="label" type="submit" value="Купить"></span></span></a></div></div>';
break;
}
/* КОНЕЦ */

/* ПИТОМЕЦ */
$pet = mysql_query("SELECT * FROM `pit` WHERE `usr` = '$log'");
$avto=mysql_num_rows($pet);
if($avto>0){
$pit = mysql_fetch_array($pet);
$x=40;
if($pit['old']==1){
$old="Пёс";
}
if($pit['old']==2){
$old="Змея";
}
if($pit['old']==3){
$old="Крокодил";
}
if($pit['status']=="die"){
$pit['ava']="death.png";
}
echo'<div class="main"><div class="block_zero"><img class="float-left" src="image/pitomec/'.$pit['ava'].'" width="95" height="95" style="margin-left:5px; margin-right:10px;" alt="*"><img src="image/icon/pet.png" alt="*"> '.$old.' '.$pit['name'].' <img src="image/icon/level.png" alt="*"> '.$pit['lvl'].'/'.$x.' ур.<br>';
if($pit['status']=="die"){
echo'<img src="image/icon/error.png" alt="*"> Статус: мёртв';
}
elseif($pit['status']=="off"){
echo'<img src="image/icon/error.png" alt="*"> Статус: в питомнике';
}else{
echo'<img src="image/icon/ok.png" alt="*"> Статус: с Вами';
}
echo'<br><br><img src="image/icon/health.png" alt="*"> Здоровье: '.$pit['hp'].'/'.$pit['hpall'].' (<img src="image/icon/money.png" alt="*"> 100)<br><img src="image/icon/str.png" alt="*"> Сила: '.$pit['ataka'].'/'.$pit['mataka'].'<br><img src="image/icon/agi.png" alt="*"> Уворот от травмы: '.$pit['lovk'].'/'.$pit['mlovk'].'<br>';
echo'</div><div class="mini-line"></div><div class="block_zero">';
if($pit['lvl']<40){
echo'Опыт: '.$pit['exp'].'/'.$opp.'';
$exp=((($pit['exp']-$oll)/($opp-$oll))*100);
echo'<br><div class="stat_bar"><div class="progress" style="width:'.$exp.'%"></div></div>';
}else{
echo'<div class="main"><div class="block_zero center">Ваш питомец максимального уровня!</div></div>';
}
echo'</div><div class="dot-line"></div><div class="block_zero">';
if($pit['status']=="die"){
if($pit['old']==1){
$pi=100;
}
if($pit['old']==2){
$pi=100;
}
if($pit['old']==3){
$pi=100;
}
$cena=round($pit['hpall']*$pi);
echo'<center><a class="btn" href="pitomec.php?mod=revival&amp;id='.$pit['id'].'"><span class="end"><span class="label">Воскресить за <img src="image/icon/money.png" alt="*"> '.$cena.'</span></span></a></center>';
}else{
$t=time();
$proc=(($pit['korm']-$t)/$pit['eda'])*10;
$ost=round(($pit['korm']-$t)/(3600));
echo'Сытость: '.$ost.'/10 часов (<img src="image/icon/money.png" alt="*"> 100)<br><div class="stat_bar" style="margin:2px 0px 2px"><div class="progress" style="width:'.$proc.'%"></div></div>';
}
if($pit['status']=="die"){
}else{
echo'</div><div class="mini-line"></div><div class="block_zero center">';
}
if($pit['status']=="off"){
echo'<a href="pitomec.php?mod=kletka&act=on&id='.$pit['id'].'"><span class="btn"><span class="end"><input class="label" type="submit" value="Взять"></span></span></a>';
}
if($pit['status']=="on"){
echo'<a href="pitomec.php?mod=kletka&act=off&amp;id='.$pit['id'].'"><span class="btn"><span class="end"><input class="label" type="submit" value="Оставить"></span></span></a>';
}
if($pit['status']=="die"){
}else{
echo' <a href="pitomec.php?mod=korm&post=1"><span class="btn"><span class="end"><input class="label" type="submit" value="Кормить"></span></span></a>';
}
if($pit['status']!=='die' AND $pit['hp'] < $pit['hpall']){
echo' <a href="pitomec.php?mod=health"><span class="btn"><span class="end"><input class="label" type="submit" value="Лечить"></span></span></a>';
}
if($pit['status']=="die"){
}else{
if($pit['skill']>=1){
echo'</div><div class="mini-line"></div><div class="menuList"><li><a href="pitomec.php?mod=train"><img src="image/icon/train.png" alt="*"> Тренировать за <span style="color: #3c3;">(+)</span></a></li>';
}else{
echo'</div><div class="mini-line"></div><div class="menuList"><li><a href="pitomec.php?mod=train"><img src="image/icon/train.png" alt="*"> Тренировать за <img src="image/icon/almaz.png" alt="*"></a></li>';
}
echo'<div class="menuList"><li><a href="pitomec.php?mod=back&id='.$pit['id'].'"><img src="image/icon/arrow.png" alt="*"> Отпустить</a></li>';
}
echo'</div></div></div>';
}
break;
/* КОНЕЦ */

/* НЕТ ОЧКОВ ДЛЯ ПРОКАЧКИ ПИТОМЦА */
case 'netu':
echo'<div class="main"><div class="block_zero center">Нет очков для распределения!</div></div>';
break;
/* КОНЕЦ */

/* ПИТОМНИК */
case 'kletka':
$req = mysql_query("SELECT * FROM `pit` WHERE `usr` = '$log'");
$avto=mysql_num_rows($req);
if($avto==0){
echo'<div class="main"><div class="block_zero center">У Вас нет питомца!</div></div>';
include($path.'files/down.php');exit;
}
if($_GET['act']=='on'){
$req = mysql_query("SELECT * FROM `pit` WHERE `usr` = '$log' AND `status`='on'");
$avto=mysql_num_rows($req);
if($avto==1){
echo'<div class="main"><div class="block_zero center">Питомец уже с Вами!</div></div>';
include('files/down.php');exit;
}
$req = mysql_query("SELECT * FROM `pit` WHERE `usr` = '$log' AND `status`='off' AND id='$_GET[id]'");
$avto=mysql_num_rows($req);
if($avto==0){
echo'<div class="main"><div class="block_zero center">У Вас нет такого питомца!</div></div>';
include($path.'files/down.php');exit;
}
$pit = mysql_fetch_array($req);
mysql_query("UPDATE `pit` SET `status` = 'on' WHERE `usr` = '$log' AND `status`='off' AND id='$_GET[id]'");
header('Location: pitomec.php');exit;
}
elseif($_GET['act']=='off'){
$req = mysql_query("SELECT * FROM `pit` WHERE `usr` = '$log' AND `status`='on' AND id='$_GET[id]'");
$avto=mysql_num_rows($req);
if($avto==0){
echo'<div class="main"><div class="block_zero center">У Вас нет такого питомца!</div></div>';
include($path.'files/down.php');exit;
}
$pit = mysql_fetch_array($req);
mysql_query("UPDATE `pit` SET `status` = 'off' WHERE `usr` = '$log' AND `status`='on' AND id='$_GET[id]'");
header('Location: pitomec.php');exit;
}
break;
/* КОНЕЦ */

/* ПОКУПКА ПИТОМЦА */
case'new':
if(empty($_GET['id'])){
if(empty($_GET['old']) or $_GET['old']==1){
$old=1;
$ss1='<span style="color: #3c3;">Пёс</span>';
}else{
$ss1='<a href="pitomec.php?mod=new&old=1"><span class="btn"><span class="end"><input class="label" type="submit" value="Пёс"></span></span></a>';
}
if($_GET['old']==2){
$old=2;
$ss2='<span style="color: #3c3;">Змея</span>';
}else{
$ss2='<a href="pitomec.php?mod=new&old=2"><span class="btn"><span class="end"><input class="label" type="submit" value="Змея"></span></span></a>';
}
if($_GET['old']==3){
$old=3;
$ss3='<span style="color: #3c3;">Крокодил</span>';
}else{
$ss3='<a href="pitomec.php?mod=new&old=3"><span class="btn"><span class="end"><input class="label" type="submit" value="Крокодил"></span></span></a>';
}
echo'<div class="main"><div class="block_zero center">';
echo" $ss1 $ss2 $ss3";
echo'</div><div class="mini-line"></div>';
$b = mysql_query("SELECT * FROM `pitomec` WHERE `old` = '$old'");
$av=mysql_num_rows($b);
if($av>=1){
$i=1;
While($best = mysql_fetch_array($b)){
if($best['old']==1){
$old="Пёс";
}
if($best['old']==2){
$old="Змея";
}
if($best['old']==3){
$old="Крокодил";
}
echo'<div class="main"><div class="block_zero"><img class="float-left" src="image/pitomec/'.$best['ava'].'" width="110" height="110" style="margin-left:5px; margin-right:10px;" alt="*">'.$old.' , '.$best['lvl'].' ур.<br>
Атака: <b>'.$best['ataka'].'/'.$best['mataka'].'</b><br>
Здоровье: <b>'.$best['hp'].'/'.$best['hpall'].'</b><br>
Уворот от травмы: <b>'.$best['lovk'].'/'.$best['mlovk'].'</b><br>
Требуемый уровень: <b>1</b><div class="separ"></div><a class="btn" href="pitomec.php?mod=new&id='.$best['id'].'&name='.$best['name'].'&alm='.$best['cena'].'"><span class="end"><span class="label">Купить за <img src="image/icon/almaz.png" alt="*"> '.$best['cena'].'</span></span></a>';
 
echo'</div><div class="dot-line"></div></div></div>';
$i++;
}
}else{
echo'<div class="main"><div class="block_zero center"><span style="color: #c66;"><img src="image/icon/error.png" alt="*"> Нет питомцев!</span></div></div></div>';
}
}else{
if(empty($_GET['ok'])){
header('Location: pitomec.php?mod=new&id='.$_GET['id'].'&ok=ok');exit;
}else{
$id = $_GET['id'];
$b = mysql_query("SELECT * FROM `pitomec` WHERE `id`='$id'");
$avto=mysql_num_rows($b);
if($avto==0){
echo'<div class="main"><div class="block_zero center">Нет такого питомца!</div></div>';
include($path.'files/down.php');exit;
}
$req = mysql_query("SELECT * FROM `pit` WHERE `usr` = '$log'");
$avto=mysql_num_rows($req);
if($avto==1){
echo'<div class="main"><div class="block_zero center">У Вас уже есть питомец!</div></div>';
include($path.'files/down.php');exit;
}
$pit = mysql_fetch_array($b);
if($udata['almaz']<$pit['cena']){
echo'<div class="main"><div class="block_zero center">Не хватает рублей!</div></div>';
echo"";
include($path.'files/down.php');exit;
}
if($udata['lvl']<$pit['nlvl']){
echo'<div class="main"><div class="block_zero center">У Вас низкий уровень!</div></div>';
include($path.'files/down.php');exit;
}
$t=time();
$v=3600*1;
$korm=$t+$v;
mysql_query("INSERT INTO
        `pit` SET
        `usr` = '$log',
        `name` = '$pit[name]',
        `hozyain` = '$log',
        `status` = 'off',
        `ava` = '$pit[ava]',
        `old` = '$pit[old]',
        `dies` = '0',
        `lvl` = '$pit[lvl]',
        `skill` = '0',
        `hp` = '$pit[hpall]',
        `korm` = '$korm',
        `eda` = '$v',
        `hpall` = '$pit[hpall]',
        `exp` = '$pit[exp]',
        `ataka` = '$pit[ataka]',
        `mataka` = '$pit[mataka]',
        `lovk` = '$pit[lovk]',
        `mlovk` = '$pit[mlovk]',
        `nabros` = '$pit[nabros]',
        `cena` = '$pit[cena]'") or die (mysql_error());
$udata['almaz']=$udata['almaz']-$pit['cena'];
mysql_query("UPDATE `users` SET `almaz` = '$udata[almaz]' WHERE `usr` = '$log'");
header('Location: pitomec.php');exit;
}
}
break;
/* КОНЕЦ */

/* ВОСКРЕШАЕМ ПИТОМЦА */
case 'revival':
$req = mysql_query("SELECT * FROM `pit` WHERE `usr` = '$log' AND `status`='die' AND `id` = '$_GET[id]'");
$avto=mysql_num_rows($req);
if($avto==0){
echo'<div class="main"><div class="block_zero center">У Вас нет питомца!</div></div>';
include($path.'files/down.php');exit;
}
$pit = mysql_fetch_array($req);
if($pit['old']==1){
$pi=100;
}
if($pit['old']==2){
$pi=100;
}
if($pit['old']==3){
$pi=100;
}
if($pit['lvl']<=0){
$pit['lvl']=1;
}
$cena=round($pit['hpall']*$pi);
if($udata['money']<$cena){
echo'<div class="main"><div class="block_zero center">Нехватает рублей!</div></div>';
include($path.'files/down.php');exit;
}
$udata['money']=$udata['money']-$cena;
mysql_query("UPDATE `users` SET `money` = '$udata[money]' WHERE `usr` = '$log'");
$t=time();
$proc=(($pit['korm']-$t)/$pit['eda'])*100;
if($proc<=0){
$time=time()+3600*1;
mysql_query("UPDATE `pit` SET `hp` = '$pit[hpall]',`status`='on', `korm`='$time' WHERE `usr` = '$log' AND id='$_GET[id]'");
}
mysql_query("UPDATE `pit` SET `hp` = '$pit[hpall]',`status`='on' WHERE `usr` = '$log' AND `id` = '$_GET[id]'");
header('Location: pitomec.php');exit;
break;
/* КОНЕЦ */

/* ЛЕЧИМ ПИТОМЦА */
case 'health':
$req = mysql_query("SELECT * FROM `pit` WHERE `usr` = '$log'");
$avto=mysql_num_rows($req);
if($avto==0){
echo'<div class="main"><div class="block_zero center">У Вас нет питомца!</div></div>';
include($path.'files/down.php');exit;
}
$pit = mysql_fetch_array($req);
if($pit['hp']>=$pit['hpall']){
echo'<div class="main"><div class="block_zero center">Ваш питомец здоров!</div></div>';
include($path.'files/down.php');exit;
}
if($pit['old']==1){
$pi=100;
}
if($pit['old']==2){
$pi=100;
}
if($pit['old']==3){
$pi=100;
}
$cena=round($pi);
if(empty($_POST['kol'])){
$cena=round(1*$cena);
if($udata['money']<$cena){
echo"Не хватает рублей!";
include($path.'files/down.php');exit;
}
$udata['money']=$udata['money']-$cena;
$pit['hp']=$pit['hp']+1;
mysql_query("UPDATE `users` SET `money` = '$udata[money]' WHERE `usr` = '$log'");
mysql_query("UPDATE `pit` SET `hp` = '$pit[hp]' WHERE `usr` = '$log'");
header('Location: pitomec.php');exit;
}
break;

/* КОНЕЦ */

/* КОРМИМ ПИТОМЦА */
case 'korm':
$req = mysql_query("SELECT * FROM `pit` WHERE `usr` = '$log' ");
$avto=mysql_num_rows($req);
if($avto==0){
echo'<div class="main"><div class="block_zero center">У Вас нет питомца!</div></div>';
include($path.'files/down.php');exit;
}
$pit = mysql_fetch_array($req);
$time=time();
if((($pit['korm']-$time)/(3600*1))>9){
echo'<div class="main"><div class="block_zero center">Ваш питомец сыт!</div></div>';
include($path.'files/down.php');exit;
}
if($pit['lvl']<=0){
$pit['lvl']=1;
}
if($pit['old']==1){
$pi=100;
}
if($pit['old']==2){
$pi=100;
}
if($pit['old']==3){
$pi=100;
}
$cena=round($pi);
$cena=round(1*$cena);
if($udata['money']<$cena){
echo'<div class="main"><div class="block_zero center">Нехватает рублей!</div></div>';
include($path.'files/down.php');exit;
}
$udata['money']=$udata['money']-$cena;
$time=$pit['korm']+(3600*1);
mysql_query("UPDATE `users` SET `money` = '$udata[money]' WHERE `usr` = '$log'");
mysql_query("UPDATE `pit` SET `korm` = '$time' WHERE `usr` = '$log'");
header('Location: pitomec.php');exit;
break;
/* КОНЕЦ */

/* ТРЕНИРОВКА ПИТОМЦА */
case 'train':
$req = mysql_query("SELECT * FROM `pit` WHERE `usr` = '$log'");
$avto=mysql_num_rows($req);
if($avto==0){
echo'<div class="main"><div class="block_zero center">У вас нет питомца!</div></div>';
include($path.'files/down.php');exit;
}
$pit = mysql_fetch_array($req);
if($pit['lvl']<=0){
$pit['lvl']=1;
}
if($pit['old']==1){
$cena=100;
}
if($pit['old']==2){
$cena=100;
}
if($pit['old']==3){
$cena=100;
}
if(empty($_GET['what'])){
echo'<div class="main"><div class="block_zero center">Бесплатных очков тренировки: '.$pit['skill'].'</div><div class="mini-line"></div><div class="block_zero">';
echo'Атака: '.$pit['ataka'].'/'.$pit['mataka'].'';
$exp=$pit['ataka']/$pit['mataka']*100;
echo'<br><div class="stat_bar"><div class="progress" style="width:'.$exp.'%"></div></div>';
if($pit['skill']>0){
echo'<center><a href="pitomec.php?mod=train&what=ataka"><span class="btn"><span class="end"><input class="label" type="submit" value="Улучшить"></span></span></a></center>';
}else{
echo'<center><a class="btn" href="pitomec.php?mod=train&what=ataka2"><span class="end"><span class="label">Улучшить за <img src="image/icon/almaz.png" alt="*"> '.$cena.'</span></span></a></center>';
}
echo'</div><div class="menuList"><li><li></li></li></div><div class="block_zero">';
echo'Уворот: '.$pit['lovk'].'/'.$pit['mlovk'].'';
$exp=$pit['lovk']/$pit['mlovk']*100;
echo'<br><div class="stat_bar"><div class="progress" style="width:'.$exp.'%"></div></div>';
if($pit['skill']>0){
echo'<center><a href="pitomec.php?mod=train&amp;what=lovk"><span class="btn"><span class="end"><input class="label" type="submit" value="Улучшить"></span></span></a></center>';
}else{
echo'<center><a class="btn" href="pitomec.php?mod=train&what=lovk2"><span class="end"><span class="label">Улучшить за <img src="image/icon/almaz.png" alt="*"> '.$cena.'</span></span></a></center>';
}
echo'</div></div>';
}else{
if($udata['almaz']<$cena){
echo'<div class="main"><div class="block_zero center">Нехватает монет!</div></div>';
include($path.'files/down.php');exit;
}
//$udata['almaz']=$udata['almaz']-$cena;
/* ----- */
switch($_GET['what']){
default:
echo'<div class="main"><div class="block_zero center">Ошибка! Доступ закрыт!</div></div>';
break;
/* КОНЕЦ */

/* ТРЕНИРУЕМ УВОРОТ ПИТОМЦА БЕСПЛАТНО */
case 'lovk':
if($pit['skill']>0 AND $pit['lovk']<$pit['mlovk']){
$nskill=$pit['skill']-1;
$nparm=$pit['lovk']+1;
mysql_query("UPDATE pit SET skill = '$nskill',lovk='$nparm' WHERE `usr` = '$log'");
header('Location: pitomec.php?mod=train');exit;
}elseif($pit['lovk']=$pit['mlovk']){
echo'<div class="main"><div class="block_zero center">Параметр прокачан до максимума!</div></div>';
}else{
echo'<div class="main"><div class="block_zero center">Нет свободных очков тренировки!</div></div>';
}
break;
/* КОНЕЦ */

/* ТРЕНИРУЕМ УВОРОТ ПИТОМЦА ПЛАТНО */
case 'lovk2':
if($pit['lovk']<$pit['mlovk']){
$nparm=$pit['lovk']+1;
mysql_query("UPDATE pit SET lovk='$nparm' WHERE `usr` = '$log'");
mysql_query("UPDATE `users` SET `almaz` = `almaz`-'$cena' WHERE `usr` = '$log'");
header('Location: pitomec.php?mod=train');exit;
}else{
echo'<div class="main"><div class="block_zero center">Параметр прокачан до максимума!</div></div>';
}
break;
/* КОНЕЦ */

/* ТРЕНИРУЕМ АТАКУ ПИТОМЦА БЕСПЛАТНО */
case 'ataka':
if($pit['skill']>0 and $pit['ataka']<$pit['mataka']){
$nskill=$pit['skill']-1;
$nparm=$pit['ataka']+1;
mysql_query("UPDATE pit SET skill = '$nskill',ataka='$nparm' WHERE `usr` = '$log'");
header('Location: pitomec.php?mod=train');exit;
}elseif($pit['ataka']=$pit['mataka']){
echo'<div class="main"><div class="block_zero center">Параметр прокачан до максимума!</div></div>';
}else{
echo'<div class="main"><div class="block_zero center">Нет свободных очков тренировки!</div></div>';
}
break;
/* КОНЕЦ */

/* ТРЕНИРУЕМ АТАКУ ПИТОМЦА ПЛАТНО */
case 'ataka2':
if($pit['ataka']<$pit['mataka']){
$nparm=$pit['ataka']+1;
mysql_query("UPDATE pit SET ataka='$nparm' WHERE `usr` = '$log'");
mysql_query("UPDATE `users` SET `almaz` = `almaz`-'$cena' WHERE `usr` = '$log'");
header('Location: pitomec.php?mod=train');exit;
}else{
echo'<div class="main"><div class="block_zero center">Параметр прокачан до максимума!</div></div>';
}
break;
/* КОНЕЦ */
}
}
break;
/* КОНЕЦ */

/* ОТПУСКАЕМ ПИТОМЦА */
case 'back':
if(empty($_GET['ok'])){
echo'<div class="main"><div class="block_zero center">Хотите навсегда отпустить питомца?<div class="separ"></div>';
echo'<a href="pitomec.php?mod=back&ok=ok&id='.$_GET['id'].'"><span class="btn"><span class="end"><input class="label" type="submit" value="Да"></span></span></a> <a href="pitomec.php?"><span class="btn"><span class="end"><input class="label" type="submit" value="Нет"></span></span></a></div></div>';
}else{
$req = mysql_query("SELECT `id`, `name` FROM `pit` WHERE `usr` = '$log' AND `hozyain`='$log' AND `id`='$_GET[id]' LIMIT 1");
$avto=mysql_num_rows($req);
$pit = mysql_fetch_array($req);
if($avto==1){
mysql_query("DELETE FROM `pit` WHERE `usr` = '$log' AND `id`='$_GET[id]'");
header('Location: pitomec.php');exit;
}else{
echo'<div class="main"><div class="block_zero center">Нет такого питомца</span></div></div>';
}
}
break;
/* КОНЕЦ */
}
include($path.'files/down.php');
?>